Developers
API referenceReferenceDocuments

Document relation suggestions — preview

Preview document relation suggestions and relation signals from a draft blueprint and optional filters (date, contact, excluded document IDs) without persisting a document.

POST
/v1/business/{business_slug}/document/relation/suggestions/preview/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/document/relation/suggestions/preview/" \  -H "Content-Type: application/json" \  -d '{}'
{  "suggestions": [    {      "related_document": 0,      "role": "ACCRUAL",      "type": "ACCRUAL_PAIR",      "reason": "string",      "score": 0    }  ],  "relation_entry_signals": {    "due_account_effect": 0,    "due_account_types": [      "string"    ],    "has_ass_pay_entries": true  },  "source_amount": 0,  "available_link_kinds": [    {      "kind": "string",      "role": "ACCRUAL",      "relation_type": "ACCRUAL_PAIR",      "account_types": [        "string"      ],      "account_type_match": "any"    }  ],  "settlement_blueprint": {    "debet_account_id": 0,    "debet_entries": [],    "credit_account_id": 0,    "credit_entries": [],    "expense_entries": []  }}